## ptunnel 0.61

=== Makefile ===
# Makefile for the pingtunnel utility
# (c) 2004-2005 Daniel Stdle, daniels@stud.cs.uit.no

CC	 		= gcc
CFLAGS		= -Wall -g
LDOPTS		= -lpthread -lpcap
PT_OBJS		= ptunnel.o md5.o
prefix		= /usr
bindir		= $(prefix)/bin
mandir		= $(prefix)/share/man/man8

all: ptunnel

dist:
	rm -rf PingTunnel/
	mkdir PingTunnel
	cp ptunnel.c ptunnel.h Makefile.dist PingTunnel/
	mv PingTunnel/Makefile.dist PingTunnel/Makefile
	

install: ptunnel
	install -d $(bindir)/
	install -d $(mandir)/
	install ./ptunnel $(bindir)/ptunnel
	install ./ptunnel.8 $(mandir)/ptunnel.8

ptunnel: $(PT_OBJS)
	$(CC) -o $@ $^ $(LDOPTS)

clean:
	rm -f *.o ptunnel
	rm -f .depend

depend: .depend
.depend:
	$(CC) $(CFLAGS) -MM *.c > $@

%.o:%.c
	$(CC) $(CFLAGS) -c -o $@ $<

-include .depend

## ptunnel 0.70

=== Makefile ===
--- 
+++ 
@@ -1,10 +1,17 @@
 # Makefile for the pingtunnel utility
-# (c) 2004-2005 Daniel Stdle, daniels@stud.cs.uit.no
+# (c) 2004-2009 Daniel Stoedle, daniels@cs.uit.no
+# ptunnel.exe target added by Mike Miller, mike@mikeage.net
 
 CC	 		= gcc
 CFLAGS		= -Wall -g
 LDOPTS		= -lpthread -lpcap
 PT_OBJS		= ptunnel.o md5.o
+
+WIN32_CC    = mingw32-gcc
+WIN32_CFLAGS = -g -Wall -DWIN32 -I"c:\Program Files\WpdPack\Include"
+WIN32_LDOPTS = -lwpcap -lwsock32 -L"c:\Program Files\WpdPack\Lib"
+WIN32_PT_OBJS = ptunnel.obj md5.obj
+
 prefix		= /usr
 bindir		= $(prefix)/bin
 mandir		= $(prefix)/share/man/man8
@@ -27,9 +34,13 @@
 ptunnel: $(PT_OBJS)
 	$(CC) -o $@ $^ $(LDOPTS)
 
+ptunnel.exe: $(WIN32_PT_OBJS)
+	$(CC) -o $@ $^ $(WIN32_LDOPTS)
+
 clean:
-	rm -f *.o ptunnel
-	rm -f .depend
+	-rm -f *.o ptunnel
+	-rm -f *.obj ptunnel.exe
+	-rm -f .depend
 
 depend: .depend
 .depend:
@@ -38,4 +49,7 @@
 %.o:%.c
 	$(CC) $(CFLAGS) -c -o $@ $<
 
+%.obj:%.c
+	$(WIN32_CC) $(WIN32_CFLAGS) -c -o $@ $<
+
 -include .depend

## ptunnel 0.71

=== Makefile ===
--- 
+++ 
@@ -32,7 +32,7 @@
 	install ./ptunnel.8 $(mandir)/ptunnel.8
 
 ptunnel: $(PT_OBJS)
-	$(CC) -o $@ $^ $(LDOPTS)
+	$(CC) -o $@ $^ $(LDOPTS) `[ -e /usr/include/selinux/selinux.h ] && echo -lselinux`
 
 ptunnel.exe: $(WIN32_PT_OBJS)
 	$(CC) -o $@ $^ $(WIN32_LDOPTS)
@@ -47,7 +47,7 @@
 	$(CC) $(CFLAGS) -MM *.c > $@
 
 %.o:%.c
-	$(CC) $(CFLAGS) -c -o $@ $<
+	$(CC) $(CFLAGS) `[ -e /usr/include/selinux/selinux.h ] && echo -DHAVE_SELINUX` -c -o $@ $<
 
 %.obj:%.c
 	$(WIN32_CC) $(WIN32_CFLAGS) -c -o $@ $<

## ptunnel 0.72

=== debian/changelog ===
ptunnel (0.72-3) unstable; urgency=medium

  * debian/control: use dh11
  * debian/control: bump standard to 4.2.1 (no changes)
  * debian/control: add salsa VCS URLs
  * debian/control: new homepage
  * debian/watch: no longer available for download

 -- Thorsten Alteholz <debian@alteholz.de>  Fri, 07 Dec 2018 19:49:23 +0100

ptunnel (0.72-2) unstable; urgency=medium

  * new maintainer (Closes: #810994)
  * debian/control
    + Change debhelper to 10 in B-D.
    + Bump Standards-Version to 4.0.0
  * debian/compat
    + Switch compat level to 10.
  * add init script and default file (Closes: #591587)
  * add memset-fix.patch (Closes: #609089)
    thanks to Silvio Cesare

 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 22 Jul 2017 14:49:23 +0200

ptunnel (0.72-1) unstable; urgency=medium

  * QA upload.
  * New upstream release. Closes: #685305
  * Switch to dpkg-source 3.0 (quilt) format.
  * debian/copyright:
    + Rewrite following copyright-format 1.0.
  * debian/control
    + Set QA team as Maintainer.
    + Change debhelper to 9 in B-D.
    + Bump Standards-Version to 3.9.7
    + Remove cbds and quilt from B-D.
    + Use dpkg architecture wildcards. Closes: #634477
  * debian/compat
    + Switch compat level 7 to 9.
  * Use wrap-and-sort.
  * Remove control.in file.
  * Remove dirs file.
  * Rename docs file to ptunnel.docs.
    + Install only useful files: index.html,
      packet-format.png, setup.png
  * debian/patches
    + Add add_hardening_flags.diff
      + Set correctly hardening flags.
    + Add DEP-3 header to fix_minux_chars_in_man.patch
    + Add fix_typo.diff to fix typo error in README. Closes: #597288
    + Rename makefile-debian-prefix to makefile-debian-prefix.patch
      + Add DEP-3 header to makefile-debian-prefix.patch
  * Add ptunnel.doc-base file.
  * debian/rules
    + Use Hardening flags.
  * Update watch file.

 -- Daniel Echeverry <epsilon77@gmail.com>  Sat, 13 Feb 2016 20:49:23 -0500

ptunnel (0.71-2) unstable; urgency=low

  * Updated build-dep to allow building
    in non-linux port. Thanks to Cyril Brulebois
    for reporting the issue.
  Closes: #559717
  * Bumped standards-version to 3.8.3
  * Added Homepage:

 -- Romain Beauxis <toots@rastageeks.org>  Wed, 09 Dec 2009 10:29:11 -0600

ptunnel (0.71-1) unstable; urgency=low

  * New upstream release.
  * Updated standards to 3.8.2
  * Bumped compat to 7
  * Refreshed patches.
  * Added build-dep on libselinux1-dev to enable SELinux support.

 -- Romain Beauxis <toots@rastageeks.org>  Thu, 30 Jul 2009 04:57:07 +0200

ptunnel (0.70-1) unstable; urgency=low

  * New upstream release
  * Updated standards to 3.8.0
  * Reverted build-deps on libpcap
  * Updated debian/copyright

 -- Romain Beauxis <toots@rastageeks.org>  Wed, 25 Feb 2009 03:06:53 +0100

ptunnel (0.61-2) unstable; urgency=low

  * Wrapped description to 70th col (Closes: #325809)
  * Switched to cdbs
  * Updated debian standards
  * Added patch to correct the manual page

 -- Romain Beauxis <toots@rastageeks.org>  Sun, 18 Feb 2007 13:39:47 +0100

ptunnel (0.61-1) unstable; urgency=low

  * Initial release Closes: #311348

 -- Romain Beauxis <toots@rastageeks.org>  Tue, 31 May 2005 20:49:25 +0200

=== debian/control ===
Source: ptunnel
Section: net
Priority: optional
Maintainer: Thorsten Alteholz <debian@alteholz.de>
Build-Depends: debhelper (>= 11)
	, libpcap0.8-dev | libpcap-dev
	, libselinux1-dev [linux-any]
	, patchutils (>= 0.2.25)
Standards-Version: 4.2.1
#Homepage: http://www.cs.uit.no/~daniels/PingTunnel/
Homepage: http://www.mit.edu/afs.new/sipb/user/golem/tmp/ptunnel-0.61.orig/web/
Vcs-Browser: https://salsa.debian.org/alteholz/ptunnel
Vcs-Git: https://salsa.debian.org/alteholz/ptunnel.git

Package: ptunnel
Architecture: any
Depends: ${misc:Depends}
	, ${shlibs:Depends}
	, lsb-base (>=3.0-6)
Description: Tunnel TCP connections over ICMP packets
 ptunnel is an application that allows you to reliably tunnel TCP
 connections to a remote host using ICMP echo request and reply
 packets, commonly known as ping requests and replies. It acts as
 a proxy and can handle sockets and secured identification.
 .
 Those features can be very handy when working in a closed networking
 environment with firewalls and proxies.

=== debian/watch ===
#version=3
#http://www.cs.uit.no/~daniels/PingTunnel/PingTunnel-(.*)\.tar\.gz
version=4
opts=dversionmangle=s/.*/0.No-Site/ \
https://people.debian.org/~eriberto/ FakeWatchNoUpstreamSiteForThisPackage-(\d\S+)\.gz

## ptunnel 0.72-1maemo0

=== Makefile ===
--- 
+++ 
@@ -32,7 +32,7 @@
 	install ./ptunnel.8 $(mandir)/ptunnel.8
 
 ptunnel: $(PT_OBJS)
-	$(CC) -o $@ $^ $(LDOPTS) `[ -e /usr/include/selinux/selinux.h ] && echo -lselinux`
+	$(CC) -o $@ $^ $(LDOPTS) -I/usr/include/pcap `[ -e /usr/include/selinux/selinux.h ] && echo -lselinux`
 
 ptunnel.exe: $(WIN32_PT_OBJS)
 	$(CC) -o $@ $^ $(WIN32_LDOPTS)
@@ -44,10 +44,10 @@
 
 depend: .depend
 .depend:
-	$(CC) $(CFLAGS) -MM *.c > $@
+	$(CC) $(CFLAGS) -I/usr/include/pcap -MM *.c > $@
 
 %.o:%.c
-	$(CC) $(CFLAGS) `[ -e /usr/include/selinux/selinux.h ] && echo -DHAVE_SELINUX` -c -o $@ $<
+	$(CC) $(CFLAGS) -I/usr/include/pcap `[ -e /usr/include/selinux/selinux.h ] && echo -DHAVE_SELINUX` -c -o $@ $<
 
 %.obj:%.c
 	$(WIN32_CC) $(WIN32_CFLAGS) -c -o $@ $<

=== debian/changelog ===
ptunnel (0.72-1maemo0) unstable; urgency=low

  * Give it a try (1st Maemo backport) ...
  * Fixes an authentication bug that would manifest as hung connections with
    protocols that send data from the client-side before receiving data from
    the server-side. Thanks to StalkR for locating the bug and fixing it.
  * Fixes a crash when attempting to enable packet-capture for non-existing
    network devices. Thanks to Steffen Wendzel for the patch.

 -- COLIN Stephane <colin.stephane@ovi.com>  Sun, 31 Mar 2013 08:43:01 +0200

=== debian/control ===
Source: ptunnel
Section: net
Priority: optional
Maintainer: Romain Beauxis <toots@rastageeks.org>
Build-Depends: cdbs (>= 0.4.48), debhelper (>= 7.0.1), quilt, patchutils (>= 0.2.25),
               libpcap0.8-dev | libpcap-dev, libselinux1-dev [!hurd-i386 !kfreebsd-amd64 !kfreebsd-i386]
Standards-Version: 3.8.3
Homepage: http://www.cs.uit.no/~daniels/PingTunnel/

Package: ptunnel
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Tunnel TCP connections over ICMP packets
 ptunnel is an application that allows you to reliably tunnel TCP 
 connections to a remote host using ICMP echo request and reply 
 packets, commonly known as ping requests and replies. It acts as 
 a proxy and can handle sockets and secured identification.
 .
 Those features can be very handy when working in a closed networking
 environment with firewalls and proxies.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/rules/patchsys-quilt.mk
include /usr/share/cdbs/1/class/makefile.mk

# In order to regenerate 'debian/control' :
#   DEB_AUTO_UPDATE_DEBIAN_CONTROL=yes fakeroot debian/rules clean
# Then check manually if everything's ok

DEB_MAKE_INSTALL_TARGET  := install DESTDIR=$(CURDIR)/debian/ptunnel

=== debian/watch ===
# Example watch control file for uscan
# Rename this file to "watch" and then you can run the "uscan" command
# to check for upstream updates and more.
# See uscan(1) for format

# Compulsory line, this is a version 3 file
version=3

# Uncomment to examine a Webserver directory
http://www.cs.uit.no/~daniels/PingTunnel/PingTunnel-(.*)\.tar\.gz
